Technical Reference Guide

📘

NOTE

Please use the table of contents on the right side of this page to quickly navigate to a desired section.

API Data dictionary

The following data dictionary includes all the essential information you will need to integrate with our Dental Pre-Care Eligibility API and serves as a ready reference source should you encounter a problem. It is intended to support developers, analysts, and stakeholders in understanding the structure, usage, and expected values of the data exchanged through the system.

Use this data dictionary:

  • As a reference when integrating with or troubleshooting the API/data interface.
  • Ensure all required fields are populated when constructing requests.
  • Refer to HTTP status codes section for guidance on resolving issues.

Query examples — See the following example queries or API requests that illustrate the usage and expected formats; useful for developers and testers to understand expected formats and usage patterns.

Request body — Defines the input parameters required for API calls or data queries. Includes field names, data types, required/optional status, and descriptions.

Parameters — Provide required and optional fields for the API calls.

Response body — Lists the fields returned in the response payload. Includes field names, data types, formats, and descriptions.

📘

NOTE

Please note that our APIs are private and secure, and require unique credentials to generate a Bearer token and gain access to. Please (generate a Bearer token based on your API environment) to obtain access to our APIs.

URLs

SandboxProduction
Generate Bearer tokenhttps://sandbox-apigw.optum.com/apip/auth/sntl/v1/token

Health checkhttps://sandbox-apigw.optum.com/oihub/dental/eligibility/preservice/v1/healthcheck

Dental Claim Submissionhttps://sandbox-apigw.optum.com/oihub/dental/eligibility/preservice/v1
Generate Bearer tokenhttps://apigw.optum.com/apip/auth/sntl/v1/token

Health checkhttps://apigw.optum.com/oihub/dental/eligibility/preservice/v1/healthcheck

Dental Claim Submissionhttps://apigw.optum.com/oihub/dental/eligibility/preservice/v1

Generate a Bearer token

Click Generate Bearer Token for Optum Real Dental APIs, for steps, see Generate a Bearer Token.

Pre-Care Eligibility OpenAPI Spec

To download, click Pre-Care Eligibility OpenAPI spec.

Perform API health check

All our API collections include a /healthcheck endpoint to verify that the connection to the API server is established and the API is operational. Our APIs can be accessed securely using Bearer token.

📘

API TESTING/USING

  • In our developer portal TryIt! interface
    • You need to reapply the Bearer token within the Bearer token expiry span by entering it in the CREDENTIALS box to test/use different APIs.
  • In your development platform
    • The generated Bearer token need not be reapplied or re-entered to test/use different APIs; the same Bearer token will be used across all transactions during the full token lifespan, and you can automatically refresh the token just before it expires.

In developer portal Try It! interface

  1. Paste the Bearer token (generated as mentioned in the preceding section), in the CREDENTIALS >> Bearer box as mentioned in the Generate a Bearer token section above.
  2. Click Try It! under the cURL Request box.

If the request was successful, the response shows such as, {"message": "Service is healthy"} in the RESPONSE box to indicate that the APIs are operational and are accessible. If the request failed, the reason shows in the RESPONSE box as listed in the HTTP Status Codes section at the end of this page or click the link in the TOC on the right.

Note that each API health message depends on the API being tested/used.

In your development platform

  1. Download our OpenAPI Spec (for example, to access a product OpenAPI spec you are using/testing, go to the required API Overview section >> click Download OpenAPI Spec.) and import it into the API project in your development platform.
  2. Expand the API collection folder and click the Get Token endpoint to generate a Bearer token.
  3. Click the Body tab and enter your unique secure credentials.
    • grant_type: client_credentials
    • client_id: your client_id
    • client_secret: your client_secret
    1. Send the request to generate a Bearer token.
  4. Now, click the /healthcheck endpoint and send it view if the connection to the API server was established.

Apply the same token across all transactions during the full token lifespan and automatically refresh the token just before it expires.

Run Pre-Care Eligibility

/preservice/v1 (link to Pre-Care Eligibility Check API) — Performs eligibility verification for a member and provider.

👍

TIP

  1. Choose an option to test/use our APIs, that is, in our developer portal TryIt! interface (you need to copy and paste the unexpired Bearer token generated for testing the Healthcheck) and/or in your development platform.
  2. Repeat the steps provided in the Perform API Healthcheck >> In your developer platform or In our developer portal TryIt! interface section.
    You can use the example field values provided in the Parameters table).

Parameters

ParameterIn Developer PortalIn Development PlatformDescription
queryEnter or select (example given below)Click the Body tab to enter (example given below)GraphQL query for the Dental Pre-Care Eligibility Check (pre-populated in Try It! interface) (required)
Expand (press the + symbol) the variables >> input >> input object
memberIdEnter or selectClick the Params tab to addYour Member identifier, ID present on the insurance ID card (pre-populated in Try It! interface) (required)
firstNameEnter or selectClick the Params tab to addMember's first name (required)
lastNameEnter or selectClick the Params tab to addMember's last name (required)
DateOfBirthEnter or selectClick the Params tab to addMember's date of birth (YYYY-MM-DD) (required)
serviceStartDateEnter or selectClick the Params tab to addEligibility service start date
serviceEndDateEnter or selectClick the Params tab to addEligibility service end date
coverageTypesEnter or selectClick the Params tab to addHealth coverage, example, "Medical" (required)
payerIdEnter or selectClick the Params tab to addYour 5-digit payer ID (pre-populated in Try It! interface) (required)
providerFirstNameEnter or selectClick the Params tab to addProvider's first name (required)
providerLastNameEnter or selectClick the Params tab to addProvider's last name (required)
providerNPIEnter or selectClick the Params tab to addProvider's 10-digit NPI
Headers
environmentEnter or select sandbox/prodDepending on the credentials enteredEnvironment in which you are running this API, for example, "sandbox"
providerTaxIdEnter or selectClick the Params tab to add9-digit provider's tax ID (required example, 123456789)

📘

NOTE

Check the Headers and Body parameters to make sure that the values comply with the parameters provided in the Parameters table.

❗️

IMPORTANT

Please do not submit PHI or PII data on the developer portal's Try It! interface.

{
  "query": "query CheckEligibility($input: EligibilityInput!) { checkEligibility(input: $input) { eligibility { eligibilityInfo { trnId policyStatus } } } }",
  "variables": {
    "input": {
      "memberId": "0001234567",
      "firstName": "ABC",
      "lastName": "EFGH",
      "dateOfBirth": "YYYY-MM-DD",
      "serviceStartDate": "YYYY-MM-DD",
      "serviceEndDate": "YYYY-MM-DD",
      "coverageTypes": ["Medical"],
      "payerId": "87726",
      "providerFirstName": "QWERT",
      "providerLastName": "XYZ",
      "providerNPI": "1234567890"
    }
  }
}
  

❗️

IMPORTANT

Please note that the request requires you to provide all the required field values. Please note that these required values are GREYED out, which are pre-populated example values and can be selected to view the canned response. To view the required fields, expand the + symbol (indicated by the variables field below.

If the request was successful, the response shows "200 Successful response" and the information (see the following example) shows in the RESPONSE box. If the request failed, the reason shows in the RESPONSE box as listed in the HTTP Status Codes section at the end of this page or click the HTTPS Status Codes hyperlink in the TOC on the right.

{
    "data": {
        "checkEligibility": {
            "eligibility": [
                {
                    "eligibilityInfo": {
                        "trnId": null,
                        "member": {
                            "memberId": "840868613",
                            "firstName": "DARLA",
                            "lastName": "Brown",
                            "middleName": "J",
                            "suffix": "",
                            "dateOfBirth": "1981-06-14",
                            "gender": "F",
                            "relationshipCode": "000",
                            "dependentSequenceNumber": "00",
                            "individualRelationship": {
                                "code": "EE",
                                "description": "subscriber"
                            },
                            "relationshipType": {
                                "code": "18",
                                "description": "Self"
                            }
                        },
                        "contact": {
                            "addresses": [
                                {
                                    "type": "Postal/Mailing",
                                    "street1": "addressLine1",
                                    "street2": "",
                                    "city": "Hastings",
                                    "state": "TX",
                                    "country": "US",
                                    "zip": "98765",
                                    "zip4": ""
                                }
                            ]
                        },
                        "insuranceInfo": {
                            "policyNumber": "0708547",
                            "eligibilityStartDate": "2020-01-01",
                            "eligibilityEndDate": "2020-12-31",
                            "planStartDate": "2020-01-01",
                            "planEndDate": "2020-12-31",
                            "policyStatus": "PastPolicy",
                            "planTypeDescription": "PlanTypeDescription",
                            "groupName": "IndianaAcutenursing",
                            "address": {
                                "type": "Claim",
                                "street1": "addressLine1",
                                "street2": "",
                                "city": "Hastings",
                                "state": "TX",
                                "country": "US",
                                "zip": "98765",
                                "zip4": ""
                            },
                            "stateOfIssueCode": "IL",
                            "productType": "EPO",
                            "productId": "",
                            "productCode": "9",
                            "payerId": "87726",
                            "lineOfBusinessCode": "E&I",
                            "governmentProgramCode": "2",
                            "coverageType": "Medical",
                            "insuranceTypeCode": "HN",
                            "insuranceType": "HealthMaintenanceOrganization(HMO)"
                        },
                        "associatedIds": {
                            "alternateId": "840868613",
                            "medicaidRecipientId": "",
                            "exchangeMemberId": "",
                            "alternateSubscriberId": "TBD",
                            "hicNumber": "",
                            "mbiNumber": "123456",
                            "subscriberMemberFacingIdentifier": "",
                            "survivingSpouseId": "TBD",
                            "subscriberId": "00313782034",
                            "memberReplacementId": "",
                            "legacyMemberId": "",
                            "healthInsuranceExchangeId": "929292"
                        },
                        "planLevels": [
                            {
                                "level": "deductibleInfo/outOfPocketInfo/copayMaxInfo/outOfPocketMaxInfo/deductibleList/outOfPocketList",
                                "family": [
                                    {
                                        "networkStatus": "InNetwork/OutOfNetwork/Tier1/Tier2",
                                        "planAmount": "99999.99",
                                        "planAmountFrequency": "(CalendarYear)",
                                        "remainingAmount": "98999.99"
                                    }
                                ],
                                "individual": [
                                    {
                                        "networkStatus": "InNetwork/OutOfNetwork/Tier1/Tier2",
                                        "planAmount": "1500.0",
                                        "planAmountFrequency": "(CalendarYear)",
                                        "remainingAmount": "500.0"
                                    }
                                ]
                            }
                        ],
                        "delegatedInfo": [
                            {
                                "entity": "WELLMEDMEDICALMANAGEMENTINC",
                                "payerId": "",
                                "contact": {
                                    "phone": "8777574440",
                                    "fax": "",
                                    "email": ""
                                },
                                "addresses": [
                                    {
                                        "type": "remit",
                                        "street1": "addressLine1",
                                        "street2": "",
                                        "city": "Hastings",
                                        "state": "TX",
                                        "country": "US",
                                        "zip": "98765",
                                        "zip4": ""
                                    }
                                ]
                            }
                        ]
                    }
}
            ]
        }
    }
}

👍

TIP

  1. Choose an option to test/use our APIs, that is, in our developer portal TryIt! interface (you need to copy and paste the unexpired Bearer token generated for testing the Healthcheck) and/or in your development platform.
  2. Repeat the steps provided in the Perform API Healthcheck >> In your developer platform or In our developer portal TryIt! interface section.
    You can use the example field values provided in the Parameters table).

API Setup

For information about, setting your API test environment, please see API Setup.

Subscribe to live and mock data testing in sandbox

Please see Subscribe to live and mock data testing in sandbox.

Integrate our APIs in production environment

Please see Integrate our APIs in production environment.

HTTP Status Codes

The following table provides error codes, including code values and error messages.